<template>
    <div class="message">
        <h1>{{ message }}</h1>
    </div>
</template>

<script lang="ts">
    import { Component, Vue } from 'vue-property-decorator';

    @Component
    export default class NotHelloWorld extends Vue {
        public message: string;

        constructor() {
            super();

            this.message = "Definitely NOT a 'Hello World' message!";
        }
    }
</script>

<style scoped lang="scss">
    .message {
        width: 800px;
        padding: 30px;
        margin: 0 auto;
        background-color: #42b983;

        h1 {
            color: #ffffff;
        }
    }
</style>


<!--JavaScript and CSS code can be split to separate files and just imported here:-->

<!--<script lang="ts" src="./NotHelloWorld.ts"></script>-->
<!--<style scoped lang="scss" src="./NotHelloWorld.scss"></style>-->